######################################
cffLib: Read and write Adobe CFF fonts
######################################

.. rubric:: Overview:
   :heading-level: 3


.. automodule:: fontTools.cffLib
   :inherited-members:
   :members: 
   :undoc-members:
   :member-order: bysource

    .. rubric:: Submodules:
       :heading-level: 3

    cffLib contains submodules for converting between CCF and CFF2.
    Each can be used within other Python scripts or run as a
    subcommand of the ``fonttools`` command-line tool:

     .. toctree::
        :maxdepth: 1
     
        CFFToCFF2
        CFF2ToCFF
     
    It also contains submodules for manipulating CFF-formatted glyphs:
     
     .. toctree::
        :maxdepth: 1
     
        specializer
        width
    
    .. rubric:: Module members:
       :heading-level: 3
 
